#include <allegro.h>

PALETTE pal;
BITMAP *obrazok;

int main()
{
	allegro_init();
	install_keyboard();

	set_color_depth(16);
	set_gfx_mode(GFX_AUTODETECT_WINDOWED, 640, 480, 0, 0);

	clear_to_color(screen,65535);	//65535 = white 16-bit

	obrazok = load_tga("obrazok.tga", pal);

	do {
		if(key[KEY_SPACE]) {
			draw_sprite(screen, obrazok, 10, 10);
		} else {
			clear_to_color(screen,65535);
		}

	} while(!key[KEY_ESC]);

	remove_keyboard();
	allegro_exit();
	return 0;
}

END_OF_MAIN();

